# You can edit this file freely to change the look and feel of your pasta
# See https://www.mkdocs.org/ for options

repo_url: https://gitlab.com/autovtools/autovrtfm/autovnet
site_name: Example Playbook
extra:
  homepage: https://gitlab.com/autovtools/autovrtfm/autovnet

# this directory holds all your actual content
docs_dir: docs

# this controls what pages are included / excluded in the generate website
# if you add, move, or rename files, you need to update this section to match
nav:
  - Home:
    - README.md
  - basic_linux:
    - modules/basic_linux/README.md
    - access: modules/basic_linux/access.md
    - persist: modules/basic_linux/persist.md
    - exfil: modules/basic_linux/exfil.md

theme:
  name: material
  features:
    - search.suggest
    - search.highlight
    - navigation.instant
    - navigation.tracking
    - navigation.tabs
    - navigation.tabs.sticky
    - navigation.top
    - navigation.expand
    - toc.integrate
    - toc.follow
    - navigation.top
    - content.code.copy
  palette:
    - scheme: slate
      toggle:
        icon: material/toggle-switch
        name: Switch to light mode
    - scheme: default
      toggle:
        icon: material/toggle-switch-off-outline
        name: Switch to dark mode
  font:
    text: Roboto
    code: Roboto Mono
  custom_dir: overrides
  # logo is relative to custom_dir
  #logo: assets/images/logo.png

markdown_extensions:
  - admonition
  - attr_list
  - tables
  - pymdownx.details
  - pymdownx.superfences
  - toc:
      permalink: True

  # you can define special types of code blocks here
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
        - name: host
          class: host
          format: !!python/name:pymdownx.superfences.fence_code_format
        - name: target
          class: target
          format: !!python/name:pymdownx.superfences.fence_code_format
        - name: msf
          class: msf
          format: !!python/name:pymdownx.superfences.fence_code_format
        - name: sliver
          class: sliver
          format: !!python/name:pymdownx.superfences.fence_code_format
        - name: merlin
          class: merlin
          format: !!python/name:pymdownx.superfences.fence_code_format
        - name: discord
          class: discord
          format: !!python/name:pymdownx.superfences.fence_code_format
        - name: no-copy
          class: no-copy
          format: !!python/name:pymdownx.superfences.fence_code_format

plugins:
  - search:
      separator: '[\s\-\._]'
  # this is a cool plugin you can turn on if tracking your pasta in git,
  # which you should
  #- git-authors:
  #    show_contribution: true
  #    show_line_count: true

# extra_css is relative to the docs_dir
extra_css:
  - stylesheets/extra.css

